Bug 59581 - Several text mode partitioning anaconda UI errors.
Several text mode partitioning anaconda UI errors.
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: 59794 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-02-10 15:56 EST by Sam Varshavchik
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-02-10 15:56:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
There are several user interface errors in text mode partitioning.  I let
anaconda auto-partition the drive, then attempted to shrink the / partition. 
The pop-up dialog was labeled "Add Partition", the "mount point" field was "not
applicable", and the Size (MB) field did not reflect the existing partition size.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Hampton beta in text mode.  Choose laptop install.
2. Choose to partition the disk automatically.
3. Edit the root partition.

Actual Results:  The pop-up dialog was labeled "Add Partition".

"Mount Point" field came up as "not applicable" and it's not editable.

Size (MB): was set to 1100 MB.

"Fill All Available Space" was selected.

Expected Results:  The pop-up dialog should be labeled "Edit Partition".

"Mount Point" should have come up as "/".

Size (MB) should be set to 1704 MB, the size of the existing / partition
(calculated by autopartition).

"Fixed Size" should be selected instead of "Fill All Available Space".

Additional info:

This is a laptop with a relatively small 3 Gb drive.  The autopartitioner
allocates 51 MB for /boot, 140 MB for the swap partition, and the rest (about
1700MB) to the / partition.  The rest of the space is taken up by another OS.
Comment 1 Sam Varshavchik 2002-02-10 15:57:23 EST
Forgot one thing: scrolling "Partition type" to ext2 and then back to ext3 makes
the "Mount Point" field editable, again.

Comment 2 Jay Turner 2002-03-21 10:54:10 EST
I'm still seeing this behavior with the Skipjack code.
Comment 3 Jay Turner 2002-03-21 11:09:04 EST
*** Bug 59794 has been marked as a duplicate of this bug. ***
Comment 4 Michael Fulbright 2002-03-26 12:33:27 EST
Deferring to future release.
Comment 5 Red Hat Bugzilla 2006-02-21 13:48:26 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.